/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_43114331")

  // update field
  collection.fields.addAt(4, new Field({
    "hidden": false,
    "id": "number2149298318",
    "max": null,
    "min": 30,
    "name": "base_duration",
    "onlyInt": true,
    "presentable": false,
    "required": true,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_43114331")

  // update field
  collection.fields.addAt(4, new Field({
    "hidden": false,
    "id": "number2149298318",
    "max": null,
    "min": 30,
    "name": "default_duration",
    "onlyInt": true,
    "presentable": false,
    "required": true,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
})
